play.server

## Class Server

- java.lang.Object
- - play.server.Server

    public class Server
    extends java.lang.Object

### Field Summary

Fields
`static int` `httpPort`
`static int` `httpsPort`
`static java.lang.String` `PID_FILE`

### Constructor Summary

Constructors
Constructor and Description
`Server(java.lang.String[] args)`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### httpPort

    public static int httpPort

#### httpsPort

    public static int httpsPort

#### PID_FILE

    public static final java.lang.String PID_FILE

See Also:
  Constant Field Values

### Constructor Detail

#### Server

    public Server(java.lang.String[] args)

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`